<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>ozon - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="command.html">command</a></li><li><a href="ozon.html">ozon</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ozon.html#.ozonForward">ozonForward</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonTurn">ozonTurn</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonLight">ozonLight</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonStop">ozonStop</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonWhere">ozonWhere</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonMove">ozonMove</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonCommand">ozonCommand</a></li></ul></li><li><a href="getParameters.html">getParameters</a></li><li><a href="room.html">room</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="room.html#.coverSet">coverSet</a></li><li data-type='method' style='display: none;'><a href="room.html#.doorSet">doorSet</a></li><li data-type='method' style='display: none;'><a href="room.html#.gateSet">gateSet</a></li></ul></li><li><a href="rpi.html">rpi</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="rpi.html#.rpiAngularCommand">rpiAngularCommand</a></li><li data-type='method' style='display: none;'><a href="rpi.html#.rpiContinuousCommand">rpiContinuousCommand</a></li></ul></li><li><a href="scene.html">scene</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="scene.html#.getView">getView</a></li><li data-type='method' style='display: none;'><a href="scene.html#.setViewShift">setViewShift</a></li><li data-type='method' style='display: none;'><a href="scene.html#.getScene">getScene</a></li></ul></li><li><a href="wagon.html">wagon</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="wagon.html#.wagonShift">wagonShift</a></li><li data-type='method' style='display: none;'><a href="wagon.html#.wagonRoom">wagonRoom</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">ozon</h1>
    

    




<section>

<header>
    
        <h2>
        
            ozon
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="ozon"><span class="type-signature"></span>factory ozon<span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Specifies the ozon ozobot high-level functions.</p>
<ul>
<li>These functions are accessible via the <code>tabletop::</code> prefix.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id=".ozonForward"><span class="type-signature type-signature-static">(static) </span>ozonForward<span class="signature">(distance)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Moves the ozon a given distance foward.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>distance</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>The approximate distance in mm; 1 mm corresponds to about 2 pixels.</p></td>
        </tr>

    
    </tbody>
</table>



















        
            

    

    <h4 class="name" id=".ozonTurn"><span class="type-signature type-signature-static">(static) </span>ozonTurn<span class="signature">(angle)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Turns the ozon a given angle in degree.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>angle</code></td>
            

            <td class="type">
            
                
<span class="param-type">int</span>



            
            </td>

            

            

            <td class="description last"><p>The angle in degree, positive in the trigonometric direction.</p></td>
        </tr>

    
    </tbody>
</table>



















        
            

    

    <h4 class="name" id=".ozonLight"><span class="type-signature type-signature-static">(static) </span>ozonLight<span class="signature">(index, blue, green, red)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Lights one ozon led.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>The led mask, any combination of the following.</p>
<ul>
<li>0x01: top</li>
<li>0x02: left</li>
<li>0x04: center-left</li>
<li>0x08: center</li>
<li>0x10: center-right</li>
<li>0x20: right</li>
<li>0x80: rear</li>
</ul></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>blue</code></td>
            

            <td class="type">
            
                
<span class="param-type">uchar</span>



            
            </td>

            

            

            <td class="description last"><p>The blue color.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>green</code></td>
            

            <td class="type">
            
                
<span class="param-type">uchar</span>



            
            </td>

            

            

            <td class="description last"><p>The green color.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>red</code></td>
            

            <td class="type">
            
                
<span class="param-type">uchar</span>



            
            </td>

            

            

            <td class="description last"><p>The red color.</p>
<ul>
<li>The color is given as a [w0rgbycm] char for ([w]hite, [0]black, [r]ed, [g]reen, [b]lue, [y]ellow, [c]yan, [m]agenta) color.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>



















        
            

    

    <h4 class="name" id=".ozonStop"><span class="type-signature type-signature-static">(static) </span>ozonStop<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Stops all ozon commands.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
            

    

    <h4 class="name" id=".ozonWhere"><span class="type-signature type-signature-static">(static) </span>ozonWhere<span class="signature">()</span><span class="type-signature"> &rarr; {JSON}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the ozon absolute position and orientation in the camera frame of reference.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>



























<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The estimated position.</p>
<ul>
<li><code>x</code> The Ozon horizontal final position, in pixel, -1 if undefined.</li>
<li>`y  The Ozon vertical final position, in pixel, -1 if undefined.</li>
<li><code>a</code> The Ozon rotation, in degree, 0 if undefined.</li>
<li><code>r</code> The Ozon apparent radius, in pixel, 0 in undefined.</li>
<li><code>d</code> The local displacement in pixel to measure the orientation.</li>
</ul>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">JSON</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id=".ozonMove"><span class="type-signature type-signature-static">(static) </span>ozonMove<span class="signature">(x, y, a, loop<span class="signature-attributes">opt</span>)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Moves ozon to an absolute position and orientation.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>x</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>The Ozon horizontal final position, in pixel.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>y</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>The Ozon vertical final position, in pixel.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>a</code></td>
            

            <td class="type">
            
                
<span class="param-type">int</span>



            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>The Ozon rotation, in degree;</p>
<ul>
<li>0 if aligned with the horizontal line in the rightward direction,</li>
<li>
<blockquote>
<p>0 if oriented towards the top direction in the image.</p>
</blockquote>
</li>
</ul></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>loop</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>1</code>
                
                </td>
            

            <td class="description last"><p>The maximal number of iteration.</p></td>
        </tr>

    
    </tbody>
</table>



















        
            

    

    <h4 class="name" id=".ozonCommand"><span class="type-signature type-signature-static">(static) </span>ozonCommand<span class="signature">(command)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Sends a command to the ozon interface.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>command</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The command as defined by the <a href="https://gitlab.inria.fr/line/aide-group/ozobot-lib">ozon-lib</a> python interface, i.e.:</p>
<ul>
<li><code>ozon._send_led_control_command(index, red, green, blue)</code></li>
<li><code>ozon.drive(left_velocity_0_from_999, right_velocity_0_from_999, delay_milli_second, wait_true_or_false)</code></li>
<li><code>ozon.spin(velocity_0_from_999, delay_milli_second, wait_true_or_false)</code></li>
</ul></td>
        </tr>

    
    </tbody>
</table>



















        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>